<?xml version="1.0" encoding="UTF-8"?>
<!--
Crane-gc2summary-obfuscated.xsl

This is a stylesheet to generate the summary HTML reports of CCTS models.

Copyright (C) - Crane Softwrights Ltd. 
              - http://www.CraneSoftwrights.com/links/res-dev.htm

Portions copyright (C) - OASIS Open 2015. All Rights Reserved.
                       - http://www.oasis-open.org/who/intellectualproperty.php

Typical invocation:

  java -jar saxon9he.jar {arguments}

Mandatory invocation arguments (URIs are relative to input genericode file):

 - stylesheet file:                        -xsl:Crane-gc2summary-obfuscated.xsl
 - input genericode file                   -s:{filename}
 - placebo output in target directory      -o:{dir}/junk.out
 - title prefix for the head of the report title-prefix={string}

Optional invocation arguments:

 - time stamp for the package             date-time={string}
 - which models to report on              model-regex={string}
 - which profile to report on             subset-column-name={string}
 - reveal the pruned BIEs                 reveal-non-subset=yes/no (default no)
 
Necessary invocation argument when the common library has exactly one ABIE:

 - specify the model name          common-library-singleton-model-name={string}

THE AUTHOR MAKES NO REPRESENTATION ABOUT THE SUITABILITY OF THIS CODE FOR ANY
PURPOSE. THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR 
IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES 
OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN 
NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED 
TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR 
PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF 
LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING 
NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, 
EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

IMPLEMENTATION NOTE:

This stylesheet logic does not accommodate qualified object classes.

TECHNICAL NOTE:

This stylesheet has been purposely obfuscated and all comments have been
removed.  Please respect our copyright and do not attempt to reverse 
engineer the techniques involved.

Crane-gc2summary.xsl $Id: Crane-gc2summary.xsl,v 1.12 2015/06/27 02:32:56 admin Exp $
Crane-commonndr.xsl $Id: Crane-utilndr.xsl,v 1.4 2015/06/27 02:32:57 admin Exp $
ndrSubset.xsl $Id: ndrSubset.xsl,v 1.12 2015/06/27 02:32:58 admin Exp $
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.CraneSoftwrights.com/ns/xslstyle" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:gu="urn:X-gc2ublndr" exclude-result-prefixes="xs gu xsd" version="2.0"><xsl:param name="common-library-singleton-model-name" as="xsd:string?" select="()"/><xsl:variable name="gu:I1638824963" as="document-node()" select="/"/><xsl:param name="base-uri" as="xsd:anyURI?" select="()"/><xsl:variable name="gu:I819412481" as="document-node()?" select="if( $base-uri ) then for $u in resolve-uri( $base-uri, document-uri(/) ) return if( doc-available($u) ) then doc($u) else () else ()"/><xsl:variable name="gu:I546274987" as="xsd:string+" select="('UBLName','ComponentName','Name')"/><xsl:variable name="gu:O409706240" as="xsd:string?"><xsl:variable name="models" as="element(model)+"><xsl:for-each-group select="$gu:I1638824963/*/*/Row/gu:O327764992(.,'ModelName')" group-by="."><model name="{.}" count-bies="{count($gu:I1638824963/*/*/Row[gu:O327764992(.,'ModelName')=current()])}" count-abies="{count($gu:I1638824963/*/*/Row[gu:O327764992(.,'ModelName')=current()]                                         [gu:O327764992(.,'ComponentType')='ABIE'])}"/></xsl:for-each-group></xsl:variable><xsl:if test="count($models[@count-abies&gt;1])&gt;1"><xsl:message terminate="yes"><xsl:text>Only one model can have more than one ABIE as the </xsl:text><xsl:text>library model.</xsl:text></xsl:message></xsl:if><xsl:if test="count($models[@count-abies&gt;1])=0 and not($common-library-singleton-model-name)"><xsl:message terminate="yes"><xsl:text>When all models have only one ABIE then the model </xsl:text><xsl:text>to be considered the library model has to be </xsl:text><xsl:text>identified using the </xsl:text><xsl:text>"common-library-singleton-model-name" invocation </xsl:text><xsl:text>argument.</xsl:text></xsl:message></xsl:if><xsl:sequence select="if( $common-library-singleton-model-name ) then $common-library-singleton-model-name else gu:I273137493($gu:I1638824963)"/></xsl:variable><xsl:function name="gu:I273137493" as="xsd:string?"><xsl:param name="gc" as="document-node()?"/><xsl:variable name="modelsWithMoreThanOneABIE" as="xsd:string*"><xsl:for-each-group group-by="gu:O327764992(.,'ModelName')" select="$gc/*/SimpleCodeList/Row[gu:O327764992(.,'ComponentType')='ABIE']"><xsl:if test="count(current-group())&gt;1"><xsl:value-of select="current-grouping-key()"/></xsl:if></xsl:for-each-group></xsl:variable><xsl:if test="count($modelsWithMoreThanOneABIE) &gt; 1"><xsl:message terminate="yes"><xsl:text>More than one common library module identified in </xsl:text><xsl:value-of select="document-uri($gc)"/><xsl:text> in that there are </xsl:text><xsl:value-of select="count($modelsWithMoreThanOneABIE)"/><xsl:text> models with more than one ABIE: </xsl:text><xsl:value-of select="$modelsWithMoreThanOneABIE" separator=","/></xsl:message></xsl:if><xsl:sequence select="if( empty($modelsWithMoreThanOneABIE) ) then if( $gc is $gu:I819412481 ) then () else gu:I273137493($gu:I819412481) else $modelsWithMoreThanOneABIE"/></xsl:function><xsl:function name="gu:O327764992" as="element(SimpleValue)?"><xsl:param name="row" as="element(Row)"/><xsl:param name="col" as="xsd:string*"/><xsl:variable name="return" as="element(SimpleValue)*" select="$row/Value[@ColumnRef=$col]/SimpleValue"/><xsl:if test="count($return) &gt; 1"><xsl:message terminate="yes"><xsl:text>Data error: multiple genericode values in a single </xsl:text><xsl:text>row for column reference</xsl:text><xsl:if test="count($col)&gt;1">s</xsl:if>: <xsl:text/><xsl:value-of select="$col" separator=","/> at <xsl:text/><xsl:for-each select="$row/ancestor-or-self::*"><xsl:text/>/<xsl:value-of select="name(.)"/><xsl:if test="self::Row">[<xsl:number/>]</xsl:if></xsl:for-each></xsl:message></xsl:if><xsl:sequence select="$return"/></xsl:function><xsl:function name="gu:I234117851" as="xsd:string?"><xsl:param name="item" as="item()?"/><xsl:sequence select="translate(normalize-space($item),' ','')"/></xsl:function><xsl:function name="gu:O204853120" as="xsd:string?"><xsl:param name="row" as="element(Row)"/><xsl:param name="col" as="xsd:string+"/><xsl:sequence select="gu:I234117851(gu:O327764992($row,$col))"/></xsl:function><xsl:param name="reveal-non-subset" as="xsd:string" select="'no'"/><xsl:param name="subset-result" as="xsd:string" select="'no'"/><xsl:param name="subset-model-regex" as="xsd:string?"/><xsl:param name="subset-column-name" as="xsd:string?"/><xsl:variable name="gu:O182091662" as="xsd:string?" select="translate(normalize-space($subset-column-name),' ','')"/><xsl:function name="gu:I148984087" as="xsd:boolean"><xsl:param name="gu:O163882496" as="element(Row)"/><xsl:sequence select="not($gu:O182091662) or not(normalize-space(gu:O327764992($gu:O163882496,$gu:O182091662))='0')"/></xsl:function><xsl:variable name="gu:O136568746" as="xsd:boolean" select="exists($subset-column-name) or exists($subset-model-regex) or lower-case($subset-result)!='no'"/><xsl:function name="gu:I117058925" as="xsd:boolean"><xsl:param name="gu:O126063458" as="element(Row)"/><xsl:sequence select="if( not( $gu:O136568746 ) ) then true() else ( some $gu:I109254997 in $gu:O102426560 satisfies $gu:I109254997 is $gu:O126063458 )"/></xsl:function><xsl:variable name="gu:O102426560" as="element(Row)*"><xsl:if test="$gu:O136568746"><xsl:sequence select="gu:O102426560( ($gu:I1638824963,$gu:I819412481), $subset-model-regex )"/></xsl:if></xsl:variable><xsl:function name="gu:O102426560" as="element(Row)*"><xsl:param name="gu:I91045831" as="document-node()+"/><xsl:param name="gu:I86253945" as="xsd:string?"/><xsl:variable name="gu:O81941248" select="$gu:I91045831/*/SimpleCodeList/ Row[gu:O327764992(.,'ModelName')!=$gu:O409706240] [gu:O327764992(.,'ComponentType')='ABIE'] [ if( not( $gu:I86253945 ) ) then true() else matches(gu:O327764992(.,'ModelName'),$gu:I86253945)]"/><xsl:sequence select="gu:I78039283( $gu:O81941248, ( for $gu:I74492043 in $gu:I91045831 return $gu:O81941248/key('gu:I71253259', gu:O327764992(.,'ObjectClass'))/ key('gu:I68284373', gu:O327764992(.,'AssociatedObjectClass'),$gu:I74492043)))"/></xsl:function><xsl:function name="gu:I78039283" as="element(Row)*"><xsl:param name="gu:O96401468" as="element(Row)*"/><xsl:param name="gu:I63031729" as="element(Row)*"/><xsl:variable name="gu:O60697220" select="$gu:I63031729[1]"/><xsl:choose><xsl:when test="not($gu:O60697220)"><xsl:sequence select="$gu:O96401468"/></xsl:when><xsl:when test="some $gu:O58529462 in $gu:O96401468 satisfies $gu:O58529462 is $gu:O60697220"><xsl:sequence select="gu:I78039283($gu:O96401468, $gu:I63031729 except $gu:O60697220)"/></xsl:when><xsl:otherwise><xsl:sequence select="gu:I78039283( (:add this to the set found so far:) ( $gu:O96401468, $gu:O60697220 ), (:add its references to the ones being looked for:) ( $gu:I63031729, ($gu:I1638824963,$gu:I819412481)/ key('gu:I71253259', gu:O327764992($gu:O60697220,'ObjectClass')) [gu:I148984087(.)]/ key('gu:I68284373', gu:O327764992(.,'AssociatedObjectClass')) ) except ( $gu:O96401468, $gu:O60697220 ) )"/></xsl:otherwise></xsl:choose></xsl:function><xsl:template name="gu:I56511205"><xsl:choose><xsl:when test="not($gu:O136568746)"/><xsl:when test="exists($subset-column-name) and ( every $gu:O54627498 in ($gu:I1638824963,$gu:I819412481)/*/SimpleCodeList/Row/gu:O327764992(.,$subset-column-name) satisfies normalize-space($gu:O54627498)='' )"><xsl:text>No subset information found for named column: </xsl:text><xsl:value-of select="$subset-column-name"/></xsl:when><xsl:when test="exists($subset-model-regex) and ( every $gu:I52865321 in distinct-values( ($gu:I1638824963,$gu:I819412481)/*/SimpleCodeList/Row/gu:O327764992(.,'ModelName') ) satisfies not( matches(.,$subset-model-regex) ) )"><xsl:text>No subset information found for model regex: </xsl:text><xsl:value-of select="$subset-model-regex"/></xsl:when><xsl:otherwise><xsl:for-each select="$gu:O102426560"><xsl:variable name="gu:O51213280" select="key('gu:O49661362',gu:O327764992(.,'ObjectClass'))"/><xsl:choose><xsl:when test="count($gu:O51213280)=0"><xsl:text>The ABIE appears corrupted in that it has no </xsl:text><xsl:text>BIEs: </xsl:text><xsl:value-of select="gu:O327764992(.,'DictionaryEntryName')"/><xsl:text>
</xsl:text></xsl:when><xsl:when test="not( some $gu:O163882496 in $gu:O51213280 satisfies not( gu:O48200734($gu:O163882496) ) )"><xsl:text>An ABIE cannot have all of its members excluded </xsl:text><xsl:text>in a subset: </xsl:text><xsl:value-of select="gu:O327764992(.,'DictionaryEntryName')"/><xsl:text>
</xsl:text></xsl:when></xsl:choose><xsl:for-each select="$gu:O51213280"><xsl:variable name="gu:O46823570" select="normalize-space(gu:O327764992(.,'Cardinality'))"/><xsl:variable name="gu:I45522915" select="normalize-space(gu:O327764992(.,$gu:O182091662))"/><xsl:choose><xsl:when test="not($gu:I45522915 = ('','0','0..1','1','0..n','1..n'))"><xsl:text>Invalid value "</xsl:text><xsl:value-of select="$gu:I45522915"/><xsl:text>" for subset cardinality: </xsl:text><xsl:value-of select="gu:O327764992(.,'DictionaryEntryName')"/><xsl:text>
</xsl:text></xsl:when><xsl:when test="not($gu:O46823570 = ('','0..1','1','0..n','1..n'))"><xsl:text>Invalid value "</xsl:text><xsl:value-of select="$gu:I45522915"/><xsl:text>" for original cardinality: </xsl:text><xsl:value-of select="gu:O327764992(.,'DictionaryEntryName')"/><xsl:text>
</xsl:text></xsl:when><xsl:when test="$gu:I45522915=''"/><xsl:when test="substring($gu:O46823570,1,1)='1' and not( substring($gu:I45522915,1,1)='1')"><xsl:text>The minimum cardinality cannot be lowered </xsl:text><xsl:text>from "</xsl:text><xsl:value-of select="$gu:O46823570"/><xsl:text>" to "</xsl:text><xsl:value-of select="$gu:I45522915"/><xsl:text>": </xsl:text><xsl:value-of select="gu:O327764992(.,'DictionaryEntryName')"/><xsl:text>
</xsl:text></xsl:when><xsl:when test="substring($gu:O46823570,string-length($gu:O46823570),1)='1' and substring($gu:I45522915,string-length($gu:I45522915),1)='n'"><xsl:text>The maximum cardinality cannot be raised </xsl:text><xsl:text>from "</xsl:text><xsl:value-of select="$gu:O46823570"/><xsl:text>" to "</xsl:text><xsl:value-of select="$gu:I45522915"/><xsl:text>": </xsl:text><xsl:value-of select="gu:O327764992(.,'DictionaryEntryName')"/><xsl:text>
</xsl:text></xsl:when></xsl:choose></xsl:for-each></xsl:for-each></xsl:otherwise></xsl:choose></xsl:template><xsl:function name="gu:O44292566" as="xsd:string"><xsl:param name="row" as="element(Row)"/><xsl:param name="minimumFlag" as="xsd:boolean"/><xsl:for-each select="(normalize-space(gu:O327764992($row,$gu:O182091662)) [$gu:O136568746][string(.)], normalize-space(gu:O327764992($row,'Cardinality')))[1]"><xsl:choose><xsl:when test="$minimumFlag"><xsl:value-of select="substring(.,1,1)"/></xsl:when><xsl:when test="ends-with(.,'n')">unbounded</xsl:when><xsl:otherwise><xsl:value-of select="substring(.,string-length(.),1)"/></xsl:otherwise></xsl:choose></xsl:for-each></xsl:function><xsl:function name="gu:O48200734" as="xsd:boolean"><xsl:param name="row" as="element(Row)"/><xsl:sequence select="gu:O44292566($row,true())='0' and gu:O44292566($row,false())='0'"/></xsl:function><xsl:variable name="udt" as="element()*"><div><a name="UDT"/><h3>Unqualified data types</h3><table frame="border" rules="all" summary="Unqualified data types" class="uT"><tr><th valign="top">Dictionary Entry Name</th><th valign="top">Base type<br/>(XSD)</th><th valign="top">Supplementary component<br/>(attribute)</th><th valign="top">Cardi-<br/>nality</th><th valign="top">Type<br/>(XSD)</th><th valign="top">Definition</th></tr><tr><td valign="top" rowspan="3"><a name="UDT-Amount.Type">Amount. Type</a></td><td valign="top" rowspan="3">xsd:decimal</td><td valign="top" colspan="4">A number of monetary units specified using a given unit of currency.</td></tr><tr valign="top"><td><b>currencyID</b></td><td>required</td><td>xsd:normalizedString</td><td>The currency of the amount.</td></tr><tr valign="top"><td>currencyCodeListVersionID</td><td>optional</td><td>xsd:normalizedString</td><td>The VersionID of the UN/ECE Rec9 code list.</td></tr><tr><td valign="top" rowspan="7"><a name="UDT-BinaryObject.Type">Binary Object. Type</a></td><td valign="top" rowspan="7">xsd:base64Binary</td><td valign="top" colspan="4">A set of finite-length sequences of binary octets.</td></tr><tr valign="top"><td><b>mimeCode</b></td><td>required</td><td>xsd:normalizedString</td><td>The mime type of the binary object.</td></tr><tr valign="top"><td>characterSetCode</td><td>optional</td><td>xsd:normalizedString</td><td>The character set of the binary object if the mime type is text.</td></tr><tr valign="top"><td>encodingCode</td><td>optional</td><td>xsd:normalizedString</td><td>Specifies the decoding algorithm of the binary object.</td></tr><tr valign="top"><td>filename</td><td>optional</td><td>xsd:string</td><td>The filename of the binary object.</td></tr><tr valign="top"><td>format</td><td>optional</td><td>xsd:string</td><td>The format of the binary content.</td></tr><tr valign="top"><td>uri</td><td>optional</td><td>xsd:anyURI</td><td>The Uniform Resource Identifier that identifies where the binary object is located.</td></tr><tr><td valign="top" rowspan="7"><a name="UDT-Graphic.Type">Graphic. Type</a></td><td valign="top" rowspan="7">xsd:base64Binary</td><td valign="top" colspan="4">A diagram, graph, mathematical curve, or similar representation.</td></tr><tr valign="top"><td><b>mimeCode</b></td><td>required</td><td>xsd:normalizedString</td><td>The mime type of the graphic object.</td></tr><tr valign="top"><td>characterSetCode</td><td>optional</td><td>xsd:normalizedString</td><td>The character set of the binary object if the mime type is text.</td></tr><tr valign="top"><td>encodingCode</td><td>optional</td><td>xsd:normalizedString</td><td>Specifies the decoding algorithm of the binary object.</td></tr><tr valign="top"><td>filename</td><td>optional</td><td>xsd:string</td><td>The filename of the binary object.</td></tr><tr valign="top"><td>format</td><td>optional</td><td>xsd:string</td><td>The format of the binary content.</td></tr><tr valign="top"><td>uri</td><td>optional</td><td>xsd:anyURI</td><td>The Uniform Resource Identifier that identifies where the binary object is located.</td></tr><tr><td valign="top" rowspan="7"><a name="UDT-Picture.Type">Picture. Type</a></td><td valign="top" rowspan="7">xsd:base64Binary</td><td valign="top" colspan="4">A diagram, graph, mathematical curve, or similar representation.</td></tr><tr valign="top"><td><b>mimeCode</b></td><td>required</td><td>xsd:normalizedString</td><td>The mime type of the picture object.</td></tr><tr valign="top"><td>characterSetCode</td><td>optional</td><td>xsd:normalizedString</td><td>The character set of the binary object if the mime type is text.</td></tr><tr valign="top"><td>encodingCode</td><td>optional</td><td>xsd:normalizedString</td><td>Specifies the decoding algorithm of the binary object.</td></tr><tr valign="top"><td>filename</td><td>optional</td><td>xsd:string</td><td>The filename of the binary object.</td></tr><tr valign="top"><td>format</td><td>optional</td><td>xsd:string</td><td>The format of the binary content.</td></tr><tr valign="top"><td>uri</td><td>optional</td><td>xsd:anyURI</td><td>The Uniform Resource Identifier that identifies where the binary object is located.</td></tr><tr><td valign="top" rowspan="7"><a name="UDT-Sound.Type">Sound. Type</a></td><td valign="top" rowspan="7">xsd:base64Binary</td><td valign="top" colspan="4">An audio representation.</td></tr><tr valign="top"><td><b>mimeCode</b></td><td>required</td><td>xsd:normalizedString</td><td>The mime type of the sound object.</td></tr><tr valign="top"><td>characterSetCode</td><td>optional</td><td>xsd:normalizedString</td><td>The character set of the binary object if the mime type is text.</td></tr><tr valign="top"><td>encodingCode</td><td>optional</td><td>xsd:normalizedString</td><td>Specifies the decoding algorithm of the binary object.</td></tr><tr valign="top"><td>filename</td><td>optional</td><td>xsd:string</td><td>The filename of the binary object.</td></tr><tr valign="top"><td>format</td><td>optional</td><td>xsd:string</td><td>The format of the binary content.</td></tr><tr valign="top"><td>uri</td><td>optional</td><td>xsd:anyURI</td><td>The Uniform Resource Identifier that identifies where the binary object is located.</td></tr><tr><td valign="top" rowspan="7"><a name="UDT-Video.Type">Video. Type</a></td><td valign="top" rowspan="7">xsd:base64Binary</td><td valign="top" colspan="4">A video representation.</td></tr><tr valign="top"><td><b>mimeCode</b></td><td>required</td><td>xsd:normalizedString</td><td>The mime type of the video object.</td></tr><tr valign="top"><td>characterSetCode</td><td>optional</td><td>xsd:normalizedString</td><td>The character set of the binary object if the mime type is text.</td></tr><tr valign="top"><td>encodingCode</td><td>optional</td><td>xsd:normalizedString</td><td>Specifies the decoding algorithm of the binary object.</td></tr><tr valign="top"><td>filename</td><td>optional</td><td>xsd:string</td><td>The filename of the binary object.</td></tr><tr valign="top"><td>format</td><td>optional</td><td>xsd:string</td><td>The format of the binary content.</td></tr><tr valign="top"><td>uri</td><td>optional</td><td>xsd:anyURI</td><td>The Uniform Resource Identifier that identifies where the binary object is located.</td></tr><tr><td valign="top" rowspan="10"><a name="UDT-Code.Type">Code. Type</a></td><td valign="top" rowspan="10">xsd:normalizedString</td><td valign="top" colspan="4">A character string (letters, figures, or symbols) that for brevity and/or language independence may be used to represent or replace a definitive value or text of an attribute, together with relevant supplementary information.</td></tr><tr valign="top"><td>languageID</td><td>optional</td><td>xsd:language</td><td>The identifier of the language used in the code name.</td></tr><tr valign="top"><td>listAgencyID</td><td>optional</td><td>xsd:normalizedString</td><td>An agency that maintains one or more lists of codes.</td></tr><tr valign="top"><td>listAgencyName</td><td>optional</td><td>xsd:string</td><td>The name of the agency that maintains the list of codes.</td></tr><tr valign="top"><td>listID</td><td>optional</td><td>xsd:normalizedString</td><td>The identification of a list of codes.</td></tr><tr valign="top"><td>listName</td><td>optional</td><td>xsd:string</td><td>The name of a list of codes.</td></tr><tr valign="top"><td>listSchemeURI</td><td>optional</td><td>xsd:anyURI</td><td>The Uniform Resource Identifier that identifies where the code list scheme is located.</td></tr><tr valign="top"><td>listURI</td><td>optional</td><td>xsd:anyURI</td><td>The Uniform Resource Identifier that identifies where the code list is located.</td></tr><tr valign="top"><td>listVersionID</td><td>optional</td><td>xsd:normalizedString</td><td>The version of the list of codes.</td></tr><tr valign="top"><td>name</td><td>optional</td><td>xsd:string</td><td>The textual equivalent of the code content component.</td></tr><tr><td valign="top" rowspan="1"><a name="UDT-DateTime.Type">Date Time. Type</a></td><td valign="top" rowspan="1">xsd:dateTime</td><td valign="top" colspan="4">A particular point in the progression of time, together with relevant supplementary information.</td></tr><tr><td valign="top" rowspan="1"><a name="UDT-Date.Type">Date. Type</a></td><td valign="top" rowspan="1">xsd:date</td><td valign="top" colspan="4">One calendar day according the Gregorian calendar.</td></tr><tr><td valign="top" rowspan="1"><a name="UDT-Time.Type">Time. Type</a></td><td valign="top" rowspan="1">xsd:time</td><td valign="top" colspan="4">An instance of time that occurs every day.</td></tr><tr><td valign="top" rowspan="8"><a name="UDT-Identifier.Type">Identifier. Type</a></td><td valign="top" rowspan="8">xsd:normalizedString</td><td valign="top" colspan="4">A character string to identify and uniquely distinguish one instance of an object in an identification scheme from all other objects in the same scheme, together with relevant supplementary information.</td></tr><tr valign="top"><td>schemeAgencyID</td><td>optional</td><td>xsd:normalizedString</td><td>The identification of the agency that maintains the identification scheme.</td></tr><tr valign="top"><td>schemeAgencyName</td><td>optional</td><td>xsd:string</td><td>The name of the agency that maintains the identification scheme.</td></tr><tr valign="top"><td>schemeDataURI</td><td>optional</td><td>xsd:anyURI</td><td>The Uniform Resource Identifier that identifies where the identification scheme data is located.</td></tr><tr valign="top"><td>schemeID</td><td>optional</td><td>xsd:normalizedString</td><td>The identification of the identification scheme.</td></tr><tr valign="top"><td>schemeName</td><td>optional</td><td>xsd:string</td><td>The name of the identification scheme.</td></tr><tr valign="top"><td>schemeURI</td><td>optional</td><td>xsd:anyURI</td><td>The Uniform Resource Identifier that identifies where the identification scheme is located.</td></tr><tr valign="top"><td>schemeVersionID</td><td>optional</td><td>xsd:normalizedString</td><td>The version of the identification scheme.</td></tr><tr><td valign="top" rowspan="1"><a name="UDT-Indicator.Type">Indicator. Type</a></td><td valign="top" rowspan="1">xsd:boolean</td><td valign="top" colspan="4">A list of two mutually exclusive Boolean values that express the only possible states of a property.</td></tr><tr><td valign="top" rowspan="3"><a name="UDT-Measure.Type">Measure. Type</a></td><td valign="top" rowspan="3">xsd:decimal</td><td valign="top" colspan="4">A numeric value determined by measuring an object using a specified unit of measure.</td></tr><tr valign="top"><td><b>unitCode</b></td><td>required</td><td>xsd:normalizedString</td><td>The type of unit of measure.</td></tr><tr valign="top"><td>unitCodeListVersionID</td><td>optional</td><td>xsd:normalizedString</td><td>The version of the measure unit code list.</td></tr><tr><td valign="top" rowspan="2"><a name="UDT-Numeric.Type">Numeric. Type</a></td><td valign="top" rowspan="2">xsd:decimal</td><td valign="top" colspan="4">Numeric information that is assigned or is determined by calculation, counting, or sequencing. It does not require a unit of quantity or unit of measure.</td></tr><tr valign="top"><td>format</td><td>optional</td><td>xsd:string</td><td>Whether the number is an integer, decimal, real number or percentage.</td></tr><tr><td valign="top" rowspan="2"><a name="UDT-Value.Type">Value. Type</a></td><td valign="top" rowspan="2">xsd:decimal</td><td valign="top" colspan="4">Numeric information that is assigned or is determined by calculation, counting, or sequencing. It does not require a unit of quantity or unit of measure.</td></tr><tr valign="top"><td>format</td><td>optional</td><td>xsd:string</td><td>Whether the number is an integer, decimal, real number or percentage.</td></tr><tr><td valign="top" rowspan="2"><a name="UDT-Percent.Type">Percent. Type</a></td><td valign="top" rowspan="2">xsd:decimal</td><td valign="top" colspan="4">Numeric information that is assigned or is determined by calculation, counting, or sequencing and is expressed as a percentage. It does not require a unit of quantity or unit of measure.</td></tr><tr valign="top"><td>format</td><td>optional</td><td>xsd:string</td><td>Whether the number is an integer, decimal, real number or percentage.</td></tr><tr><td valign="top" rowspan="2"><a name="UDT-Rate.Type">Rate. Type</a></td><td valign="top" rowspan="2">xsd:decimal</td><td valign="top" colspan="4">A numeric expression of a rate that is assigned or is determined by calculation, counting, or sequencing. It does not require a unit of quantity or unit of measure.</td></tr><tr valign="top"><td>format</td><td>optional</td><td>xsd:string</td><td>Whether the number is an integer, decimal, real number or percentage.</td></tr><tr><td valign="top" rowspan="5"><a name="UDT-Quantity.Type">Quantity. Type</a></td><td valign="top" rowspan="5">xsd:decimal</td><td valign="top" colspan="4">A counted number of non-monetary units, possibly including a fractional part.</td></tr><tr valign="top"><td>unitCode</td><td>optional</td><td>xsd:normalizedString</td><td>The unit of the quantity</td></tr><tr valign="top"><td>unitCodeListAgencyID</td><td>optional</td><td>xsd:normalizedString</td><td>The identification of the agency that maintains the quantity unit code list</td></tr><tr valign="top"><td>unitCodeListAgencyName</td><td>optional</td><td>xsd:string</td><td>The name of the agency which maintains the quantity unit code list.</td></tr><tr valign="top"><td>unitCodeListID</td><td>optional</td><td>xsd:normalizedString</td><td>The quantity unit code list.</td></tr><tr><td valign="top" rowspan="3"><a name="UDT-Text.Type">Text. Type</a></td><td valign="top" rowspan="3">xsd:string</td><td valign="top" colspan="4">A character string (i.e. a finite set of characters), generally in the form of words of a language.</td></tr><tr valign="top"><td>languageID</td><td>optional</td><td>xsd:language</td><td>The identifier of the language used in the content component.</td></tr><tr valign="top"><td>languageLocaleID</td><td>optional</td><td>xsd:normalizedString</td><td>The identification of the locale of the language.</td></tr><tr><td valign="top" rowspan="3"><a name="UDT-Name.Type">Name. Type</a></td><td valign="top" rowspan="3">xsd:string</td><td valign="top" colspan="4">A character string that constitutes the distinctive designation of a person, place, thing or concept.</td></tr><tr valign="top"><td>languageID</td><td>optional</td><td>xsd:language</td><td>The identifier of the language used in the content component.</td></tr><tr valign="top"><td>languageLocaleID</td><td>optional</td><td>xsd:normalizedString</td><td>The identification of the locale of the language.</td></tr></table></div></xsl:variable><xsl:param name="model-regex" as="xsd:string" select="'.+'"/><xsl:param name="title-prefix" as="xsd:string" required="yes"/><xsl:param name="date-time" as="xsd:string" select="format-dateTime( adjust-dateTime-to-timezone(current-dateTime(), xsd:dayTimeDuration('PT0H')), '[Y0001]-[M01]-[D01] [H01]:[m01]z')"/><xsl:output indent="yes" method="html"/><xsl:key name="gu:O43126972" match="/*/SimpleCodeList/Row[gu:O327764992(.,'ComponentType')='ABIE']" use="if( gu:O327764992(.,'ModelName')=$gu:O409706240 ) then $gu:O409706240 else gu:O327764992(.,$gu:I546274987)"/><xsl:key name="gu:O42021152" match="/*/SimpleCodeList/Row[gu:O327764992(.,'ComponentType')='BBIE']" use="gu:O327764992(.,$gu:I546274987)"/><xsl:key name="gu:O40970624" match="/*/SimpleCodeList/Row[gu:O327764992(.,'ComponentType')='ABIE']" use="gu:O327764992(.,$gu:I546274987)"/><xsl:key name="gu:I68284373" match="/*/SimpleCodeList/Row[gu:O327764992(.,'ComponentType')='ABIE']" use="gu:O327764992(.,'ObjectClass')"/><xsl:key name="gu:O39971340" match="/*/SimpleCodeList/Row" use="gu:O327764992(.,'ComponentType')"/><xsl:key name="gu:I39019641" match="/*/SimpleCodeList/Row[gu:O327764992(.,'ComponentType')!='ABIE']" use="preceding-sibling::Row[gu:O327764992(.,'ComponentType')='ABIE'][1]/ gu:O327764992(.,$gu:I546274987)"/><xsl:key name="gu:O49661362" match="/*/SimpleCodeList/Row[gu:O327764992(.,'ComponentType')!='ABIE']" use="preceding-sibling::Row[gu:O327764992(.,'ComponentType')='ABIE'][1]/ gu:O327764992(.,'ObjectClass')"/><xsl:key name="gu:O38112208" match="/*/SimpleCodeList/Row[gu:O327764992(.,'ComponentType')='ASBIE']" use="preceding-sibling::Row[gu:O327764992(.,'ComponentType')='ABIE'][1]/ gu:O327764992(.,$gu:I546274987)"/><xsl:key name="gu:I71253259" match="/*/SimpleCodeList/Row[gu:O327764992(.,'ComponentType')='ASBIE']" use="preceding-sibling::Row[gu:O327764992(.,'ComponentType')='ABIE'][1]/ gu:O327764992(.,'ObjectClass')"/><xsl:key name="gu:I37246021" match="/*/SimpleCodeList/Row[gu:O327764992(.,'ComponentType')='ASBIE']" use="gu:O327764992(.,'AssociatedObjectClass')"/><xsl:key name="gu:O36418332" match="/*/SimpleCodeList/Row[gu:O327764992(.,'ComponentType')='BBIE']" use="gu:O327764992(.,'DataType')"/><xsl:variable name="gu:I35626629" as="element(SimpleValue)*"><xsl:for-each-group select="/*/SimpleCodeList/Row/gu:O327764992(.,'ModelName')" group-by="."><xsl:sequence select="."/></xsl:for-each-group></xsl:variable><xsl:variable name="gu:O34868616" as="element(SimpleValue)*"><xsl:for-each-group select="/*/SimpleCodeList/ Row[gu:O327764992(.,'ModelName')!=$gu:O409706240] [gu:O327764992(.,'ComponentType')='ABIE']/ gu:O327764992(.,$gu:I546274987)" group-by="."><xsl:sequence select="."/></xsl:for-each-group></xsl:variable><xsl:variable name="gu:O34142186" as="element(SimpleValue)*"><xsl:for-each-group select="/*/SimpleCodeList/ Row[gu:O327764992(.,'ModelName')=$gu:O409706240] [gu:O327764992(.,'ComponentType')='ABIE']/ gu:O327764992(.,$gu:I546274987)" group-by="."><xsl:sequence select="."/></xsl:for-each-group></xsl:variable><xsl:template match="/"><xsl:call-template name="gu:I33445407"/><xsl:for-each select="$gu:O34868616"><xsl:call-template name="gu:I33445407"><xsl:with-param name="gu:I52865321" select="."/></xsl:call-template></xsl:for-each></xsl:template><xsl:template name="gu:I33445407"><xsl:param name="gu:I52865321" as="xsd:string?"/><xsl:variable name="gu:I32776499" select="gu:O102426560($gu:I1638824963,( $gu:I52865321, '.+') [1])"/><xsl:variable name="gu:O32133822" select="$gu:I32776499, $gu:I32776499/key('gu:O49661362',gu:O327764992(.,'ObjectClass')) [gu:I148984087(.)]"/><xsl:variable name="gu:O31515864" select="( $gu:I52865321,'AllDocuments' )[1]"/><xsl:message select="'Creating:',$gu:O31515864,'...'"/><xsl:variable name="gu:I30921225" select="$title-prefix,'-',$gu:O31515864,'-',$date-time"/><xsl:result-document href="{concat($gu:O31515864,'.html')}"><html><head><title><xsl:value-of select="$gu:I30921225"/></title><style type="text/css">
.iT, .iR, .iC
{
  font-size:small;border:1px solid black; border-collapse:collapse;
  vertical-align:top;
}
.sC
{
  vertical-align:baseline;
}
.uT
{
  font-size:small;
}
        </style></head><body><h2><xsl:value-of select="$gu:I30921225"/></h2><xsl:call-template name="gu:O30348610"/><p><xsl:text>Index for all items: </xsl:text><a href="#Summary">Summary</a><xsl:text> </xsl:text><xsl:for-each-group select="$gu:O32133822" group-by="upper-case(substring(gu:O327764992(.,$gu:I546274987),1,3))"><xsl:sort select="upper-case(substring(gu:O327764992(.,$gu:I546274987),1,3))" lang="en"/><a href="#Index_{current-grouping-key()}"><xsl:value-of select="current-grouping-key()"/></a><xsl:text> </xsl:text></xsl:for-each-group><xsl:for-each-group select="$gu:I32776499" group-by="gu:O327764992(.,'ModelName')"><xsl:sort select="gu:O327764992(.,'ModelName')!=$gu:O409706240"/><xsl:sort select="current-grouping-key()"/><a href="#Table_{current-grouping-key()}"><xsl:value-of select="if( current-grouping-key()=$gu:O409706240 ) then current-grouping-key() else gu:O327764992(.,$gu:I546274987)"/></a><xsl:text> </xsl:text></xsl:for-each-group><a href="#UDT">Unqualified Data Types</a></p><hr/><h3><a name="Summary">Summary</a></h3><xsl:call-template name="gu:I29796817"/><xsl:for-each-group select="$gu:O32133822" group-by="upper-case(substring(gu:O327764992(.,$gu:I546274987),1,3))"><xsl:sort select="current-grouping-key()" lang="en"/><h4><xsl:value-of select="current-grouping-key()"/></h4><a name="Index_{current-grouping-key()}"/><xsl:for-each-group select="current-group()" group-by="gu:O327764992(.,$gu:I546274987)"><xsl:sort select="current-grouping-key()" lang="en"/><xsl:variable name="gu:I29264731" select="current-grouping-key()"/><a name="Summary_{$gu:I29264731}"/><xsl:choose><xsl:when test="count(current-group())=1"><table summary="{current-grouping-key()}"><tr><td class="sC" nowrap="nowrap"><xsl:value-of select="current-grouping-key()"/><xsl:text> (</xsl:text><i><xsl:value-of select="gu:O327764992(.,'ModelName')"/></i><xsl:text> </xsl:text><xsl:call-template name="gu:I28751315"/><xsl:text>)</xsl:text></td><xsl:call-template name="gu:O28255602"><xsl:with-param name="gu:O32133822" select="$gu:O32133822"/></xsl:call-template></tr></table></xsl:when><xsl:otherwise><table summary="{current-grouping-key()}"><tr><td class="sC" nowrap="nowrap"><xsl:value-of select="current-grouping-key()"/></td></tr></table><table summary="indentation"><tr><td><p>    </p></td><td valign="top"><xsl:for-each-group select="current-group()" group-by="gu:O327764992(.,'ModelName')"><xsl:sort select="current-grouping-key()" lang="en"/><xsl:choose><xsl:when test="count(current-group())=1"><table summary="{current-grouping-key()}"><tr><td style="vertical-align:baseline" nowrap="nowrap"><i><xsl:value-of select="current-grouping-key()"/></i><xsl:text> (</xsl:text><xsl:for-each select="current-group()"><xsl:call-template name="gu:I28751315"/></xsl:for-each><xsl:text>)</xsl:text></td><xsl:call-template name="gu:O28255602"><xsl:with-param name="gu:O32133822" select="$gu:O32133822"/></xsl:call-template></tr></table></xsl:when><xsl:otherwise><table summary="{current-grouping-key()}"><tr><td style="vertical-align:baseline" nowrap="nowrap"><i><xsl:value-of select="current-grouping-key()"/></i></td></tr></table><table summary="indentation"><tr><td><p>    </p></td><td valign="top"><xsl:for-each select="current-group()[gu:O327764992(.,'ComponentType')='BBIE'], current-group()[gu:O327764992(.,'ComponentType')='ABIE'], current-group()[gu:O327764992(.,'ComponentType')='ASBIE']"><table summary="Detail"><tr><td style="vertical-align:baseline" nowrap="nowrap"><xsl:text>(</xsl:text><xsl:call-template name="gu:I28751315"/><xsl:text>)</xsl:text></td><xsl:call-template name="gu:O28255602"><xsl:with-param name="gu:O32133822" select="$gu:O32133822"/></xsl:call-template></tr></table></xsl:for-each></td></tr></table></xsl:otherwise></xsl:choose></xsl:for-each-group></td></tr></table></xsl:otherwise></xsl:choose></xsl:for-each-group></xsl:for-each-group><xsl:for-each-group select="$gu:I32776499" group-by="gu:O327764992(.,'ModelName')"><xsl:sort select="gu:O327764992(.,'ModelName')!=$gu:O409706240"/><xsl:sort select="gu:O327764992(.,'ModelName')"/><xsl:variable name="gu:O27776694" select="gu:O327764992(.,'ModelName')"/><h3><a name="Table_{$gu:O27776694}"><xsl:value-of select="$gu:O27776694"/></a></h3><xsl:if test="position()=1"><small>
  This summary of elements only includes those members of the common
  library that are referenced directly or indirectly by
  <xsl:for-each select="distinct-values($gu:I32776499 [gu:O327764992(.,'ModelName')!=$gu:O409706240]/ gu:O327764992(.,$gu:I546274987))"><xsl:choose><xsl:when test="last()=1"/><xsl:when test="position()=last()"> and </xsl:when><xsl:when test="position()&gt;1">, </xsl:when></xsl:choose><xsl:value-of select="."/></xsl:for-each><xsl:text>.</xsl:text></small></xsl:if><xsl:variable name="gu:I27313749" select="false()"/><xsl:variable name="gu:I26865983" select="current-group() | current-group()/key('gu:O49661362',gu:O327764992(.,'ObjectClass'))"/><xsl:variable name="gu:O26432660"><xsl:for-each select="$gu:O26013094/row"><row><xsl:for-each select="h"><xsl:if test="( $gu:I27313749 or $gu:I26865983[gu:O327764992(.,current()/ (if (n=('*pos','*name')) then $gu:I546274987 else n)) /normalize-space(.)] )"><xsl:copy-of select="."/></xsl:if></xsl:for-each></row></xsl:for-each></xsl:variable><table class="iT"><xsl:variable name="gu:O25606640"><tr class="iR"><xsl:for-each select="$gu:O26432660/row/h"><xsl:if test="not(@span='all')"><th class="iC"><xsl:copy-of select="t/node()"/></th></xsl:if></xsl:for-each></tr></xsl:variable><xsl:variable name="gu:I25212691" select="count($gu:O25606640/tr/th) - count($gu:O26432660/row[1]/h[not(@span='all')])"/><xsl:copy-of select="$gu:O25606640"/><xsl:for-each select="$gu:I26865983"><xsl:sort select="gu:O327764992(.,'ObjectClass')"/><xsl:sort select="gu:O327764992(.,'ObjectClassQualifier')"/><xsl:variable name="gu:O58529462" select="."/><xsl:variable name="gu:I24830681" select="gu:O327764992($gu:O58529462,'ComponentType')"/><xsl:variable name="gu:O24460074" select="if( $gu:I24830681='ABIE' ) then (some $gu:I24100367 in key('gu:I37246021',gu:O327764992(.,'ObjectClass')) satisfies gu:O204853120($gu:I24100367,$gu:O182091662)!='0') else gu:O204853120($gu:O58529462,$gu:O182091662)!='0'"/><xsl:variable name="gu:O23751086" select="(gu:O327764992(.,'Row'),position()+1)[1]"/><xsl:variable name="gu:I23411785" select="gu:O327764992($gu:O58529462,'Cardinality')"/><xsl:variable name="gu:I23082041" select="if ( $gu:I24830681='ABIE') then '#f898c8' else if( $gu:I24830681='ASBIE') then '#cbfbcb' else '#ffffff'"/><xsl:for-each select="$gu:O26432660[not($reveal-non-subset='no') or $gu:O24460074]/row"><tr style="background-color:{$gu:I23082041};{           if(not($gu:O24460074)) then 'text-decoration:line-through;' else ''}" class="iR"><xsl:for-each select="h"><td class="iC"><xsl:if test="@span='all'"><xsl:attribute name="colspan" select="$gu:I25212691"/></xsl:if><xsl:choose><xsl:when test="n='*pos'"><xsl:attribute name="rowspan" select="2"/><a name="Table_{gu:O204853120($gu:O58529462,'DictionaryEntryName')}"/><a name="t-{$gu:O27776694}-{$gu:O23751086}"><xsl:if test="$gu:O24460074"><xsl:attribute name="href" select="concat('#d-',$gu:O27776694,'-',$gu:O23751086)"/></xsl:if><xsl:value-of select="$gu:O23751086"/></a><xsl:if test="$gu:I24830681!='ABIE'"><br/><a href="#Table_{gu:O204853120($gu:O58529462,'ObjectClass')}.Details">^</a></xsl:if></xsl:when><xsl:when test="n='*name'"><xsl:attribute name="rowspan" select="2"/><xsl:if test="starts-with($gu:I23411785,'1')"><xsl:attribute name="style"><xsl:text>font-weight:bold</xsl:text></xsl:attribute></xsl:if><xsl:value-of select="gu:O327764992($gu:O58529462,$gu:I546274987)"/><xsl:if test="$gu:I24830681='ABIE'"><br/><xsl:for-each select="key('gu:I37246021', gu:O327764992($gu:O58529462,'ObjectClass'),$gu:I1638824963)"><a href="#Table_{gu:O204853120(.,'DictionaryEntryName')}" title="{gu:O327764992(.,'DictionaryEntryName')}">&lt;</a><xsl:text> </xsl:text></xsl:for-each></xsl:if></xsl:when><xsl:when test="n[not($gu:I24830681='ASBIE' and not($gu:O24460074)) ]=('RepresentationTerm','DataType','AssociatedObjectClass')"><a href="#{if( $gu:I24830681='BBIE' )                       then concat('UDT-',gu:O204853120($gu:O58529462,n),                                   if(n='DataType') then '' else '.Type')                       else concat('Table_',gu:O204853120($gu:O58529462,n),'.Details')}"><xsl:value-of select="gu:O327764992($gu:O58529462,n)"/></a></xsl:when><xsl:when test="n[$gu:I24830681!='ABIE']='ObjectClass'"><a href="#{concat('Table_',gu:O204853120($gu:O58529462,n),'.Details')}"><xsl:value-of select="gu:O327764992($gu:O58529462,n)"/></a></xsl:when><xsl:otherwise><xsl:value-of select="gu:O327764992($gu:O58529462,n)"/></xsl:otherwise></xsl:choose></td></xsl:for-each></tr></xsl:for-each></xsl:for-each></table></xsl:for-each-group><xsl:apply-templates mode="gu:I22761457" select="$udt"><xsl:with-param name="gu:I22449657" tunnel="yes" select="$gu:O32133822[gu:O327764992(.,'ComponentType')='BBIE']"/></xsl:apply-templates><pre><xsl:for-each select="1 to 60"><xsl:text>
</xsl:text></xsl:for-each></pre></body></html></xsl:result-document></xsl:template><xsl:template match="a[starts-with(@name,'UDT-')]" mode="gu:I22761457"><xsl:param name="gu:I22449657" tunnel="yes" as="element(Row)*"/><xsl:copy-of select="."/><br/><xsl:for-each select="$gu:I22449657[gu:O327764992(.,'DataType')=current()]"><a href="#Table_{gu:O204853120(.,'DictionaryEntryName')}" title="{gu:O327764992(.,'DictionaryEntryName')}">&lt;</a><xsl:text> </xsl:text></xsl:for-each></xsl:template><xsl:template match="node()" mode="gu:I22761457"><xsl:copy><xsl:copy-of select="@*"/><xsl:apply-templates mode="gu:I22761457"/></xsl:copy></xsl:template><xsl:template name="gu:I28751315"><xsl:param name="gu:I22146283" select="true()" as="xsd:boolean"/><xsl:param name="gu:I21850999" select="false()" as="xsd:boolean"/><xsl:variable name="gu:O27776694" select="gu:O327764992(.,'ModelName')"/><small><xsl:variable name="gu:O21563486" select="gu:O327764992(.,'Row')"/><a><xsl:if test="$gu:I22146283"><xsl:attribute name="name" select="concat('d-',$gu:O27776694,'-',$gu:O21563486)"/></xsl:if><xsl:attribute name="href" select="concat('#','t-',$gu:O27776694,'-',$gu:O21563486)"/><xsl:value-of select="$gu:O21563486"/></a><xsl:variable name="gu:I21283441" select="gu:O204853120(.,'ObjectClass')"/><xsl:if test="( $gu:I21850999 or $gu:I21283441!=$gu:O27776694 or gu:O327764992(.,'CraneCellObjectClassQualifier') ) and $gu:I21283441!=gu:O327764992(.,$gu:I546274987)"><xsl:text> </xsl:text><a href="#Summary_{$gu:I21283441}"><xsl:for-each select="gu:O327764992(.,'ObjectClassQualifier')"><xsl:value-of select="concat(.,'_ ')"/></xsl:for-each><xsl:value-of select="$gu:I21283441"/></a></xsl:if></small></xsl:template><xsl:template name="gu:O28255602"><xsl:param name="gu:O32133822" as="element(Row)*"/><xsl:variable name="gu:I24830681" select="gu:O327764992(.,'ComponentType')"/><xsl:variable name="gu:I20744619" select="gu:O204853120(.,'AssociatedObjectClass')"/><xsl:variable name="gu:I29264731" select="gu:O327764992(.,$gu:I546274987)"/><td style="vertical-align:baseline"><xsl:choose><xsl:when test="$gu:I24830681='ASBIE' and $gu:I20744619!=$gu:I29264731"><small><a href="#Summary_{$gu:I20744619}"><xsl:value-of select="$gu:I24830681"/><xsl:text/> (<xsl:value-of select="$gu:I20744619"/>)<xsl:text/></a></small></xsl:when><xsl:otherwise><small><xsl:value-of select="$gu:I24830681"/></small></xsl:otherwise></xsl:choose></td><td style="vertical-align:baseline"><small><xsl:value-of select="gu:O327764992(.,'Definition')"/></small><xsl:if test="$gu:I24830681='ABIE'"><xsl:variable name="gu:O20485312" select="gu:O327764992(.,'ObjectClass')"/><xsl:variable name="gu:O20232406" select="key('gu:I37246021',$gu:O20485312) [some $row in $gu:O32133822 satisfies $row is .] [gu:O327764992(.,$gu:I546274987)!=$gu:I29264731]"/><xsl:if test="exists($gu:O20232406)"><small><br/><xsl:for-each select="$gu:O20232406"><xsl:sort select="gu:O327764992(.,$gu:I546274987)" lang="en"/><xsl:variable name="gu:I29264731" select="gu:O327764992(.,$gu:I546274987)"/><xsl:if test="position()&gt;1"><xsl:text> </xsl:text></xsl:if><span style="white-space:nowrap"><a href="#Summary_{$gu:I29264731}"><xsl:value-of select="$gu:I29264731"/></a><xsl:text>(</xsl:text><xsl:call-template name="gu:I28751315"><xsl:with-param name="gu:I22146283" select="false()"/><xsl:with-param name="gu:I21850999" select="true()"/></xsl:call-template><xsl:text>)</xsl:text></span></xsl:for-each></small></xsl:if></xsl:if></td></xsl:template><xsl:template name="gu:O30348610"><xsl:comment><xsl:call-template name="gu:I29796817"/></xsl:comment></xsl:template><xsl:template name="gu:I29796817"><p><small>
   Rendering by 
   <a target="_blank" href="http://www.CraneSoftwrights.com/links/res-dev.htm">
     Crane Softwrights Ltd.: 
     <samp>http://www.CraneSoftwrights.com/links/res-dev.htm</samp></a>.
 </small><br/><small>
     Portions copyright © OASIS Open <xsl:text/><xsl:value-of select="format-date(current-date(),'[Y0000]')"/><xsl:text>. All Rights Reserved. </xsl:text><a target="_blank" href="http://www.oasis-open.org/policies-guidelines/ipr"><samp>http://www.oasis-open.org/policies-guidelines/ipr</samp></a></small></p><p>
   Rendering: <xsl:value-of select="$date-time"/></p><table><tr><td rowspan="4" valign="top">Legends:</td><td>Summary Legend:</td><td valign="top">Name (<i>Module </i><small><u>line</u> Object</small>)
   <small>TYPE Description</small></td></tr><tr><td rowspan="2" valign="top">Table Legend:</td><td valign="top"><span style="color:blue;text-decoration:underline">^</span><span> = up-link to the containing ABIE of the BBIE 
or the ASBIE (hover to see ABIE name)</span></td></tr><tr><td valign="top"><span style="color:blue;text-decoration:underline">&lt;</span><span> = back-link to the ASBIE using the ABIE, or 
to the BBIE using the data type (hover to see destination)</span></td></tr><tr><td valign="top"> Line number links: </td><td valign="top"><span>alternate between summary view and table view</span></td></tr></table><br/></xsl:template><xsl:variable name="gu:O26013094" as="document-node()"><xsl:document><row><h><n>*pos</n></h><h><n>*name</n><t>Name</t></h><h span="all"><n>Definition</n><t>Definition</t></h></row><row><xsl:for-each select="$gu:O182091662"><h><n><xsl:value-of select="."/></n><t><xsl:value-of select="replace(.,'([a-z])([A-Z])','$1​$2')"/></t></h></xsl:for-each><h><n>Cardinality</n><t>Card.</t></h><h><n>RepresentationTerm</n><t>Rep. Term</t></h><h><n>AlternativeBusinessTerms</n><t>Alt. Business<br/>Terms</t></h><h><n>Examples</n><t>Examples</t></h><h><n>DictionaryEntryName</n><t>Dictionary Entry Name</t></h><h><n>UNTDEDCode</n><t>UNTDED<br/>Code</t></h><h><n>CurrentVersion</n><t>Ver.</t></h><h><n>ComponentType</n><t>Comp.<br/>Type</t></h><h><n>ObjectClassQualifier</n><t>Obj. Class<br/>Qual.</t></h><h><n>ObjectClass</n><t>Class</t></h><h><n>PropertyTermQualifier</n><t>Prop. Term<br/>Qualifier</t></h><h><n>PropertyTermPossessiveNoun</n><t>Prop. Term<br/>Poss. Noun</t></h><h><n>PropertyTermPrimaryNoun</n><t>Prop. Term<br/>Prim. Noun</t></h><h skip=""><n>PropertyTerm</n><t>Prop. Term</t></h><h><n>DataTypeQualifier</n><t>Data Type<br/>Qualifier</t></h><h><n>DataType</n><t>Data Type</t></h><h><n>AssociatedObjectClassQualfier</n><t>Assoc. Obj.<br/>Class Qual.</t></h><h><n>AssociatedObjectClass</n><t>Assoc.<br/>Class</t></h></row></xsl:document></xsl:variable></xsl:stylesheet>